Added ctrl_c function to trap user installation interruptions
Change-Id: Icfe5577c455ed1058c8542d2afa1d663a1e7dcc6
Signed-off-by: garciadeblas <gerardo.garciadeblas@telefonica.com>
diff --git a/installers/full_install_osm.sh b/installers/full_install_osm.sh
index 093f341..b119d3f 100755
--- a/installers/full_install_osm.sh
+++ b/installers/full_install_osm.sh
@@ -613,6 +613,10 @@
function install_osm() {
[ -z "${DEBUG_INSTALL}" ] || DEBUG beginning of function
+
+ trap ctrl_c INT
+ track start release $RELEASE none none docker_tag $OSM_DOCKER_TAG none none installation_type $OSM_INSTALLATION_TYPE none none
+
track checks checkingroot_ok
[ "$USER" == "root" ] && FATAL "You are running the installer as root. The installer is prepared to be executed as a normal user with sudo privileges."
track checks noroot_ok
@@ -857,6 +861,13 @@
[ -z "${DEBUG_INSTALL}" ] || DEBUG end of function
}
+function ctrl_c() {
+ [ -z "${DEBUG_INSTALL}" ] || DEBUG beginning of function
+ echo "** Trapped CTRL-C"
+ FATAL "User stopped the installation"
+ [ -z "${DEBUG_INSTALL}" ] || DEBUG end of function
+}
+
LXD_VERSION=4.0
JUJU_VERSION=2.9
JUJU_AGENT_VERSION=2.9.22
@@ -1183,10 +1194,6 @@
#Installation starts here
wget -q -O- https://osm-download.etsi.org/ftp/osm-11.0-eleven/README.txt &> /dev/null
export OSM_TRACK_INSTALLATION_ID="$(date +%s)-$(head /dev/urandom | tr -dc A-Za-z0-9 | head -c 16)"
-
-track start release $RELEASE none none docker_tag $OSM_DOCKER_TAG none none installation_type $OSM_INSTALLATION_TYPE none none
-
install_osm
echo -e "\nDONE"
exit 0
-